import theater.*;  

public class GPerformance extends Performance {

    boolean started;
    
    @Override
    public void started() { 
        World world = (World)getActiveStage();
        world.init();   
        FruitProp.init(world.getSeed());
        setSpeed(Performance.MAX_SPEED);
        started = true;
    }
    
    @Override
    public void stopped() { 
        started = false;
    }
    
    public boolean isRunning() {
        return started;
    }
}
